---
- name: Check if zabbix version is valid
  ansible.builtin.fail:
    msg: "Unsupported zabbix version: {{ zabbix_agent_version }} (Set variable zabbix_agent_version to one of the following: {{ zabbix_agent_versions | join(', ') }})"
  when: zabbix_agent_version | length == 0 or zabbix_agent_version not in zabbix_agent_versions

- name: Check if repo type is valid
  ansible.builtin.fail:
    msg: "Unsupported repo type: {{ zabbix_repo }} (Set variable zabbix_repo to one of the following: {{ zabbix_repos | join(', ') }})"
  when:
    - zabbix_repo | length == 0 or zabbix_repo not in zabbix_repos

- name: Check if zabbix server is defined
  ansible.builtin.fail:
    msg: "Zabbix server or zabbix server active is undefined (Set variable zabbix_agent_server and zabbix_agent_serveractive to your desired zabbix server"
  when: zabbix_agent_server | length == 0 or zabbix_agent_serveractive | length == 0

- name: "Set default zabbix variables in defaults/main.yml"
  ansible.builtin.set_fact:
    zabbix_agent_version: "{{ zabbix_agent_version }}"
    zabbix_repo: "{{ zabbix_repo }}"
    zabbix_selinux: "{{ zabbix_selinux }}"
    zabbix_agent_serveractive: "{{ zabbix_agent_serveractive }}"
    zabbix_agent_satellite_repo_name: "{{ zabbix_agent_satellite_repo_name }}"
    zabbix_agent_package_state: "{{ zabbix_agent_package_state }}"
    zabbix_agent_hostname: "{{ zabbix_agent_hostname }}"
    zabbix_agent_firewall_enable: "{{ zabbix_agent_firewall_enable }}"
    zabbix_agent_firewalld_enable: "{{ zabbix_agent_firewalld_enable }}"
    zabbix_install_pip_packages: "{{ zabbix_install_pip_packages }}"

- name: "OS specific postgresql installation"
  ansible.builtin.include_tasks: "{{ ansible_os_family| lower }}.yml"

- name: "Import tasks from from Ansible Galaxy Module: zabbix-agent"
  ansible.builtin.include_role:
    name: "community.zabbix.zabbix_agent"
